<?php
require_once('../db.php');
require_once('header.php');

if(!isset($_SESSION['itiadmin']) || $_SESSION['itiadmin'] != "Nodal Officer") {
    echo "<form name='loginadm' method='POST' action='createjson.php'>";
    echo "<center><h1>Login</h1>\n";
    echo "Enter password: <input type='password' name='pass'>\n";
    echo "<input type='submit' value='Login'></center>";
    exit();
    }
if(!isset($_POST['itiid'])) {
    echo "<center><h1>You have to login and select an ITI</h1></center>\n";
    echo "<form name='loginadm' method='POST' action='createjson.php'>";
    echo "<center><h1>Login</h1>\n";
    echo "Enter password: <input type='password' name='pass'>\n";
    echo "<input type='submit' value='Login'></center>";
    exit();
    }
$iid = $_POST['itiid'];

createJson($db,$prefix,$iid);

function createJson($db,$prefix,$iid) {
    $tmp = "";
    $adm = $prefix . "admission";
    $app = $prefix . "applicant";
    $q = "select $adm.student_id, $adm.trade, $adm.date_of_admission, $adm.shift,$adm.unit, $adm.horizontal, $adm.disability_type, $adm.dual_mode, $adm.type, $app.name, $app.dob from $adm inner join $app on " .
        "$adm.student_id=$app.id where $adm.institute='$iid' and $adm.council='NCVT' order by $adm.trade, $app.name,$app.dob;";

    $fn = 1;
    $content = "";
    $regNo = 1;
    $res = $db->query($q);

    while($row = $res->fetch_array(MYSQLI_BOTH)) {
        $tmp .= "{\n";
        $tmp .= "\"StateRegNumber\": \"" . getStateRegNumber($iid, $row[1],$row[8],$regNo++) . "\",\n";

        $tmp .= "\"TraineeName\": \"" . getParameter($db,$prefix,$row[0],"name","applicant") . "\",\n";
        $tmp .= "\"UIDNumber\": \"" . getParameter($db,$prefix,$row[0],"aadhaar","applicant") . "\",\n";
        $tmp .= "\"DateOfBirth\": \"" . getParameter($db,$prefix,$row[0],"dob","applicant") . "\",\n";
        $tmp .= "\"Gender\": \"" . getGender(getParameter($db,$prefix,$row[0],"gender","applicant")) . "\",\n";
        $tmp .= "\"Category\": \"" . getCategory(getParameter($db,$prefix,$row[0],"community","applicant")) . "\",\n";
        $tmp .= "\"FatherGuardianName\": \"" . getParameter($db,$prefix,$row[0],"father","applicant") . "\",\n";
        $tmp .= "\"MotherName\": \"" . getParameter($db,$prefix,$row[0],"mother","applicant") . "\",\n";
        $tmp .= "\"MobileNumber\": \"" . getParameter($db,$prefix,$row[0],"mobile","applicant") . "\",\n";
        $tmp .= "\"EmailID\": \"" . getParameter($db,$prefix,$row[0],"email","applicant") . "\",\n";
        $tmp .= "\"Session\": \"8" . date("Y") . "\",\n";
        $tmp .= "\"AdmissionDate\": \"$row[2]\",\n";
        $tmp .= "\"HighestQualification\": \"" . getQualification(getParameter($db,$prefix,$row[0],"qualification","applicant")) . "\",\n";
        $tmp .= "\"Trade\": \"" . getTrade($row[1]) . "\",\n";
        $tmp .= "\"Shift\": \"" . $row[3] . "\",\n";
        $tmp .= "\"Unit\": \"" . $row[4] . "\",\n";
        $tmp .= "\"IsTraineeDualMode\": \"" . $row[7] . "\",\n";

        $tmp .= "\"MISITICode\": \"" . getITICode($iid) . "\",\n";
        $tmp .= "\"PersonwithDisability\": \"" . ($row[5] == 'P.H'?'Yes':'No') . "\",\n";
        $tmp .= "\"PWDcategory\": \"" . ($row[5] == 'P.H'?$row[6]:"") . "\",\n";
        $tmp .= "\"EconomicWeakerSection\": \"No\",\n";
        $tmp .= "\"TraineeType\": \"" . $row[8] . "\",\n";
        $tmp .= "\"TraineePhoto\": \"" . getTraineePhoto($db,$prefix,$row[0]) . "\",\n";
        $tmp .= "},\n";
        if((strlen($content)+strlen($tmp)) >= 4*1023*1024) {
            writeToMyFile("json/" . $iid . "-" . ($fn++) . ".json", "[\n" . $content . "\n]\n");
            $content = $tmp;
            $tmp = "";
            }
        else {
            $content .= $tmp;
            $tmp = "";
            }
        }
    writeToMyFile("json/" . str_replace(" ","",str_replace(".","",str_replace(",","",$iid))) . "-" . ($fn++) . ".json", "[\n" . $content . "\n]\n");
    }

function writeToMyFile($f, $t) {
    if(!is_dir("json"))
        mkdir("json");
    $fp = fopen($f,"w");
    fwrite($fp,$t);
    fclose($fp);
    echo "<a href='$f'>Download $f</a><br />\n";
    }

function sendFile($fl) {
/*
    header("X-Sendfile: " . $fl . "\n");
    header("Content-type: application/octet-stream\n");
    header("Content-Length: " . filesize($fl) ."\n");
    header('Content-Disposition: attachment; filename="' . basefilename($fl) . '"');
    $fp = fopen($fl,"rb");
    $size = 10*10124*1024;
    while(!feof($fp)) {
        echo fread($fp,$size);
        ob_flush();
        flush();
        }
    fclose($fp);
*/
}

function getStateRegNumber($iid,$tr,$admtype,$n) {
    return getScvtITICode($iid) . getScvtTradeCode($tr) . getAdmissionType($admtype) .
        "08" . date("y") . str_pad($n, 5, '0', STR_PAD_LEFT);
    }
function getAdmissionType($at) {
    if($at == "Regular")
        return "01";
    else
        return "02";
    }
function getGender($g) {
    if($g=='M')
        return "Male";
    if($g=='F')
        return "Female";
    return "Others";
    }

function getCategory($c) {
    if($c=='General')
        return "General";
    if($c=='BCM' || $c=='BT' || $c=='EBC' || $c=='MBC' || $c=='OBC')
        return "Other Backward Class";
    if($c=='SC')
        return "Schedule Castes";
    if($c=='ST')
        return "Schedule Tribes";
    return "General";
    }
function getQualification($q) {
    if($q == '8')
        return "8th";
    if($q=='10')
        return "10th";
    return "10th";
    }
function getScvtITICode($n) {
    if($n=='GITIM, Pdy')
        return "3410";
    if($n=='GITIM, Kkl')
        return "3401";
    if($n=='GITIW, Pdy')
        return "3411";
    if($n=='GITIN, Npm')
        return "3412";
    if($n=='GITIV, Pdy')
        return "3415";
    if($n=='GITIB, Pdy')
        return "";
    if($n=='RGGITI, Mahe')
        return "3403";
    if($n=='NSCBITI, Yanam')
        return "3413";
    return "";
    }

function getITICode($n) {
    if($n=='GITIM, Pdy')
        return "GU34000010";
    if($n=='GITIM, Kkl')
        return "GU34000001";
    if($n=='GITIW, Pdy')
        return "GU34000011";
    if($n=='GITIN, Npm')
        return "GR34000012";
    if($n=='GITIV, Pdy')
        return "GR34000015";
    if($n=='GITIB, Pdy')
        return "";
    if($n=='RGGITI, Mahe')
        return "GR34000003";
    if($n=='NSCBITI, Yanam')
        return "GR34000013";
    return "";
    }
function getTraineePhoto($db,$prefix,$id) {
    $data = getPhotoBytes("../" . getParameter($db,$prefix,$id,"photo_file","applicant"));
    return $data;
    }

function getPhotoBytes($fl) {
    $ba = unpack("N*",file_get_contents($fl));
    $ret = "";
    for($i=1,$n=sizeof($ba);$i<=$n;$i++) {
        $ret .=  (($ba[$i]>>24) & 0xFF) . ",";
        $ret .= (($ba[$i]>>16) & 0xFF) . ",";
        $ret .= (($ba[$i]>>8) & 0xFF) . ",";
        $ret .= ($ba[$i] & 0xFF);
        if($i < $n)
            $ret .= ",";
        }
    return $ret;
    }
function getTrade($t) {
    $trades = array (
        "Catering"=> "Catering & Hospitality Assistant (NSQF)",
        "COPA"=>"Computer Operator and Programming Assistant (NSQF)",
        "Cosmetology"=>"Cosmetology (NSQF)",
        "DEO"=>"Data Entry Operator (NSQF)",
        "DMC"=>"Draughtsman (Civil) (NSQF)",
        "Drone"=>"Remotely Piloted Aircraft (RPA Drone Pilot) (NSQF)",
        "Electrician"=>"Electrician (NSQF)",
        "Electronic Mech."=>"Electronics Mechanic (NSQF)",
        "Fashion Design"=>"Fashion Design & Technology (NSQF)",
        "Fitter"=>"Fitter (NSQF)",
        "Instr. Mech." => "Instrument Mechanic (NSQF)",
        "Machinist"=>"Machinist (NSQF)",
        "Mason"=>"Mason (Building Constructor) (NSQF)",
        "Mech (Diesel)"=>"Mechanic Diesel (NSQF)",
        "Mech. (Auto Body Repainting)"=>"Mechanic Auto Body Painting (NSQF)",
        "Mech (Auto Body Repair)"=>"Mechanic Auto Body Repair (NSQF)",
        "MMV"=>"Mechanic Auto Body Repair (NSQF)",
        "PPO"=>"Plastic Processing Operator (NSQF)",
        "RAC Technician"=>"Refrigeration and Air Conditioning Technician(NSQF)",
        "Sew. Tech."=>"Sewing Technology (NSQF)",
        "Solar Tech."=>"Solar Technician (Electrical) (NSQF)",
        "Turner"=>"Turner (NSQF)",
        "Welder"=>"Welder (NSQF)",
        "Wireman"=>"Wireman (NSQF)"
        );
    return $trades[$t];
    }

function getScvtTradeCode($t) {
    $trades = array (
        "Catering"=> "001",
        "COPA"=>"002",
        "Cosmetology"=>"003",
        "DEO"=>"004",
        "DMC"=>"004",
        "Drone"=>"005",
        "Electrician"=>"006",
        "Electronic Mech."=>"006",
        "Fashion Design"=>"007",
        "Fitter"=>"008",
        "Instr. Mech." => "009",
        "Machinist"=>"010",
        "Mason"=>"011",
        "Mech (Diesel)"=>"012",
        "Mech. (Auto Body Repainting)"=>"013",
        "Mech (Auto Body Repair)"=>"014",
        "MMV"=>"015",
        "PPO"=>"016",
        "RAC Technician"=>"017",
        "Sew. Tech."=>"018",
        "Solar Tech."=>"019",
        "Turner"=>"020",
        "Welder"=>"021",
        "Wireman"=>"022"
        );
    return $trades[$t];
    }
?>