<?php
session_start();

$portal = "Online application portal for ITI";
$prefix = "online_application_2023_";
$year = "2023";
$serverURL = "https://www.centacpuducherry.in/itiadmission/";
//$serverURL = "https://jupitersoftware.co.in/itiadmission/";


//Following 6 lines should be changed prior to deployment
$user = "i3571587_wp1";
$pass = "Siva12!@"; 
$dbName = "i3571587_wp1";
$mailFrom = "From: Online Admission Committee for ITIs <itiadmissioncommittee@jupitersoftware.co.in>";

//SMS Inerface is inactive for admission 2022
//$smsURL = "http://my.msgwow.com/api/sendhttp.php";
//$smsKey = "165723AajjpxrB59d1ae52";
//End of changes for deployment

date_default_timezone_set("Asia/Kolkata");

//echo "<script src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js'></script>\n\n";

$coursesEditable = true;
$provisionalOffer = true;

$login_name = "";

$debugging = false;

$folder = "itiadmission";

if(session_id == "" && !isset($_SESSION['status'])) {
	include_once('index.php');
    exit(1);
    }


$db = new mysqli("localhost",$user,$pass);

if(mysqli_connect_errno()) {
    printf("Server error\n"+mysqli_connect_errno());
    exit();
    }

if($db->query("create database IF NOT EXISTS " . $dbName . ";") != true) {
	echo "<h1>Error </h1>";
	return;
	}
else if($debugging == true) echo "Database created! <br />";

if($db->query("use " . $dbName . ";") != true) {
	echo "<h1>Error </h1> <br />";
	return;
	}
else if($debugging == true) echo "Database changed to "  . $dbName . " <br />";

/*
$db->query("drop table " . $prefix . "applicant;");
$db->query("drop table " . $prefix . "applicant_backup;");
*/

$q = "create table IF NOT EXISTS ". $prefix . "applicant (id bigint not null auto_increment primary key, name varchar(100) not null, father varchar(100), mother varchar(100), guardian varchar(100), dob date, gender varchar(1), aadhaar varchar(12), resident varchar(10), religion varchar(20), community varchar(10), special_category varchar(10), address1 varchar(150), address2 varchar(150), address3 varchar(150), address4 varchar(10), district varchar(60), mobile varchar(10), email varchar(50), qualification varchar(2), mark int, maxmark int, password varchar(20), first_choice_region varchar(30), second_choice_region varchar(30), third_choice_region varchar(30), fourth_choice_region varchar(30), photo_file varchar(100), mark_file varchar(100), residence_file varchar(100), community_file varchar(100), horizontal_quota_file varchar(100));";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "applicant table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "applicant table created! <br />";

$q = "create table IF NOT EXISTS " . $prefix . "applicant_backup (id bigint not null auto_increment primary key, name varchar(100) not null, father varchar(100), mother varchar(100), guardian varchar(100), dob date, gender varchar(1), aadhaar varchar(12), resident varchar(10), religion varchar(20), community varchar(10), special_category varchar(10), address1 varchar(150), address2 varchar(150), address3 varchar(150), address4 varchar(10), district varchar(60), mobile varchar(10), email varchar(50), qualification varchar(2), mark int, maxmark int, password varchar(20), first_choice_region varchar(30), second_choice_region varchar(30), third_choice_region varchar(30), fourth_choice_region varchar(30), photo_file varchar(100), mark_file varchar(100), residence_file varchar(100), community_file varchar(100), horizontal_quota_file varchar(100));";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "applicant_backup table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "applicant_backup table created! <br />";

$q = "create table IF NOT EXISTS " . $prefix . "message (id bigint not null auto_increment primary key, applicant_id bigint not null, valid_till date not null, message text not null);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "message table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "message table created! <br />";

//Remove after debugging
//$db->query("drop table " . $prefix . "institute;");

/*
$q = "create table IF NOT EXISTS ". $prefix . "institute (id bigint not null auto_increment primary key, name varchar(100) not null, type varchar(10), priority int);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "institute table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "institute table created! <br />";


$res = $db->query("select * from " . $prefix . "institute;");

if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI for Men, Mettupalayam, Puducherry','G',1);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI for Men, T.R.Pattinam, Karaikal','G',2);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI for Women, Pondicherry','G',3);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI for Women, T.R.Pattinam, Karaikal','G',4);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI, Nettapakkam, Puducherry','G',5);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI, Villianur, Puducherry','G',6);");
    $db->query("insert into " . $prefix . "institute values(0,'Government ITI, Bahour, Puducherry','G',7);");
    $db->query("insert into " . $prefix . "institute values(0,'Rajiv Gandhi Government ITI, East Pallur, Mahe','G',8);");
    $db->query("insert into " . $prefix . "institute values(0,'NSC Bose Government ITI, Yanam','G',9);");
    $db->query("insert into " . $prefix . "institute values(0,'Indira Gandhi Private ITI, Thirukkanur, Puducherry','P',10);");
    $db->query("insert into " . $prefix . "institute values(0,'Jai Amman Private ITI, Madhikrishnapuram, Puducherry','P',11);");
    $db->query("insert into " . $prefix . "institute values(0,'Pondicherry Private ITI, Orleanpet, Puducherry','P',12);");
    $db->query("insert into " . $prefix . "institute values(0,'Rajive Memorial Private ITI, Orleanpet, Puducherry','P',13);");
    $db->query("insert into " . $prefix . "institute values(0,'Sri Vivekananda Private ITI, Nellithope, Puducherry','P',14);");
    $db->query("insert into " . $prefix . "institute values(0,'Worth Private ITI for PH, Thengaithittu, Puducherry','P',15);");
    }
*/

//Remove else part after setting course values
/*
    $res = $db->query("select * from " . $prefix . "institute;");
   echo "<table><tr><th>Sl. No.</th><th>Institute</th><th>ID Number</th></tr>\n";
   while($row = $res->fetch_array(MYSQLI_BOTH))
       echo "<tr><td>$row[0]</td><td>$row[1]</td><td>$row[3]</td></tr>\n";
   echo "</table>";
    
*/

//Remove drop line after debugging
//$db->query("drop table " . $prefix . "course;");

/*
$q = "create table IF NOT EXISTS ". $prefix . "course (id bigint not null auto_increment primary key, name varchar(100) not null, qualification int);";

if($db->query($q) == true) {
}

$res = $db->query("select * from " . $prefix . "course;");

if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "course values(0,'Computer Operator and Programming Assistant (NCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Data Entry Operator (SCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Draughtsman CIVIL (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Electrician (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Electronics Mechanic (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Fitter (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Mason - Building Constructor (NCVT, 1 Year)',	8);");
    $db->query("insert into " . $prefix . "course values(0,'Refrigeration and Air Conditioning Technician (NCVT, 2 Years)',	10);");
    $db->query("insert into " . $prefix . "course values(0,'Mechanic - Motor Vehicle (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Welder (NCVT, 1 Year)',	8);");
    $db->query("insert into " . $prefix . "course values(0,'Wireman (NCVT, 2 Years)',	8);");
    $db->query("insert into " . $prefix . "course values(0,'Cosmetology (SCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Desktop Publishing Operator (NCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Information and Communication Technology Systems Maintenance (NCVT, 2 Years)',	10);");
    $db->query("insert into " . $prefix . "course values(0,'Sewing Technology (NCVT, 1 Year)',8);");
    $db->query("insert into " . $prefix . "course values(0,'Computer Operator and Programming Assistant (SCVT, 1 Year)',	10);");
    $db->query("insert into " . $prefix . "course values(0,'Electrician (SCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Fitter (SCVT, 2 Years)',	10);");
    $db->query("insert into " . $prefix . "course values(0,'Wireman (SCVT, 2 Years)',8);");
    $db->query("insert into " . $prefix . "course values(0,'Catering and Hospitality Assistant (SCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Turner (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Machinist (NCVT, 2 Years)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Mechanic - Diesel (NCVT, 1 Year)',10);");
    $db->query("insert into " . $prefix . "course values(0,'Fashion Design and Technology (SCVT, 1 Year)', 10);");
    $db->query("insert into " . $prefix . "course values(0,'Instrument Mechanic (NCVT, 2 Years)', 10);");
    $db->query("insert into " . $prefix . "course values(0,'Plastic Processing Operator (NCVT, 1 Year)', 10);");
    $db->query("insert into " . $prefix . "course values(0,'Mechanic - Motor Vehicle (SCVT, 2 Years)',10);");
}
*/
//else part may be removed after configuring Institutes and courses
/*
    $res = $db->query("select * from " . $prefix . "course;");
   echo "<table><tr><th>Sl. No.</th><th>Course</th><th>Qualification</th></tr>\n";
   while($row = $res->fetch_array(MYSQLI_BOTH))
       echo "<tr><td>$row[0]</td><td>$row[1]</td><td>$row[2]</td></tr>\n";
   echo "</table>";
*/


//remove after debugging
//$db->query("drop table " . $prefix . "courses_offered;");

/*
$q = "create table IF NOT EXISTS ". $prefix . "courses_offered (id bigint not null auto_increment primary key, institute_id bigint, course_id bigint);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "courses_offered table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "courses_offered table created! <br />";



$res = $db->query("select * from " . $prefix . "courses_offered;");

if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "courses_offered values(0,1,1);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,5);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,6);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,7);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,8);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,9);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,10);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,11);");
    $db->query("insert into " . $prefix . "courses_offered values(0,1,26);");
    
    
    $db->query("insert into " . $prefix . "courses_offered values(0,2,1);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,6);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,25);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,11);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,23);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,9);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,8);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,21);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,10);");
    $db->query("insert into " . $prefix . "courses_offered values(0,2,11);");
    
    
    $db->query("insert into " . $prefix . "courses_offered values(0,3,1);");
    $db->query("insert into " . $prefix . "courses_offered values(0,3,12);");
    $db->query("insert into " . $prefix . "courses_offered values(0,3,13);");
    $db->query("insert into " . $prefix . "courses_offered values(0,3,15);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,4,1);");
    $db->query("insert into " . $prefix . "courses_offered values(0,4,12);");
    $db->query("insert into " . $prefix . "courses_offered values(0,4,2);");
    $db->query("insert into " . $prefix . "courses_offered values(0,4,15);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,5,16);");
    $db->query("insert into " . $prefix . "courses_offered values(0,5,17);");
    $db->query("insert into " . $prefix . "courses_offered values(0,5,6);");
    $db->query("insert into " . $prefix . "courses_offered values(0,5,15);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,6,3);");
    $db->query("insert into " . $prefix . "courses_offered values(0,6,20);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,7,18);");
    $db->query("insert into " . $prefix . "courses_offered values(0,7,19);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,8,3);");
    $db->query("insert into " . $prefix . "courses_offered values(0,8,4);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,9,24);");
    $db->query("insert into " . $prefix . "courses_offered values(0,9,27);");
    $db->query("insert into " . $prefix . "courses_offered values(0,9,11);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,10,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,10,11);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,11,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,11,11);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,12,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,12,6);");
    $db->query("insert into " . $prefix . "courses_offered values(0,12,11);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,13,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,13,6);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,14,4);");
    $db->query("insert into " . $prefix . "courses_offered values(0,14,11);");
    
    $db->query("insert into " . $prefix . "courses_offered values(0,15,21);");
    }
*/

//Remove drop line after debugging
//$db->query("drop table " . $prefix . "units_offered;");

/*
$q = "create table IF NOT EXISTS ". $prefix . "units_offered (id bigint not null auto_increment primary key, institute_id bigint, course_id bigint, units bigint);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "units_offered table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "units_offered table created! <br />";


$res = $db->query("select * from " . $prefix . "units_offered;");

if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "units_offered values(0,1,1,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,2,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,3,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,5,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,6,2);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,7,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,8,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,9,2);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,10,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,11,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,1,26,1);");
    
    
    $db->query("insert into " . $prefix . "units_offered values(0,2,1,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,6,2);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,25,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,22,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,7,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,23,2);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,9,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,8,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,10,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,2,11,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,3,1,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,12,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,13,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,3,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,5,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,14,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,3,15,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,4,1,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,4,12,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,4,2,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,4,15,2);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,5,16,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,5,17,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,5,6,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,5,15,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,6,3.1);");
    $db->query("insert into " . $prefix . "units_offered values(0,6,20,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,7,18,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,7,19,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,8,6,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,8,8,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,9,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,9,5,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,9,24,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,10,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,10,11,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,11,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,11,11,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,12,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,12,6,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,12,11,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,13,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,13,6,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,14,4,1);");
    $db->query("insert into " . $prefix . "units_offered values(0,14,11,1);");
    
    $db->query("insert into " . $prefix . "units_offered values(0,15,21,1);");
    }
*/

//Remove else part after configuring
/*
    $res = $db->query("select * from " . $prefix . "units_offered;");
   echo "<table><tr><th>Sl. No.</th><th>Institute ID</th><th>Institute</th><th>Course ID</th><th>Course name</th><th>Units allotted</th></tr>\n";
   while($row = $res->fetch_array(MYSQLI_BOTH))
       echo "<tr><td>$row[0]</td><td>$row[1]</td><td>" . getParameter($db,$prefix,$row[1],"name","institute") . "</td><td>$row[2]</td><td>" . getParameter($db,$prefix,$row[2],"name","course") . "<td>$row[3]</td></tr>\n";
   echo "</table>";
*/

/*
$q = "create table IF NOT EXISTS ". $prefix . "choice (id bigint not null auto_increment primary key, student_id bigint, institute_id bigint, course_id bigint, priority int);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "choice table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "choice table created! <br />";


$q = "create table IF NOT EXISTS ". $prefix . "choice_backup (id bigint not null auto_increment primary key, student_id bigint, institute_id bigint, course_id bigint, priority int);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "choice_backup table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "choice_backup table created! <br />";

//Remove the drop part after configuring
//$db->query("drop table " . $prefix . "requirement;");

$q = "create table IF NOT EXISTS ". $prefix . "requirement (id bigint not null auto_increment primary key, course_id bigint, seats_allotted int);";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "requirement table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "requirement table created! <br />";

$res = $db->query("select * from " . $prefix . "requirement;");
if($res->num_rows == 0) {
    $req = array(1,24, 2,24, 3,24, 4,20, 5,24, 6,20, 7,24, 8,24, 9,24, 10,20, 11,20, 12,24, 13,24, 14,24, 
            15,20, 16,24, 17,20, 18,20, 19,20, 20,20, 21,20, 22,20, 23,24, 24,20, 25,24, 26,20, 27,20);
    for($i=0,$n=count($req);$i<$n; $i+=2)
        $db->query("insert into " . $prefix . "requirement values(0,$req[$i]," . $req[$i+1] . ");");
    }
*/
//Remove else part after configuring
/*
    $res = $db->query("select * from " . $prefix . "requirement;");
   echo "<table><tr><th>Sl. No.</th><th>Course ID</th><th>Course name</th><th>Seats allotted</th></tr>\n";
   while($row = $res->fetch_array(MYSQLI_BOTH))
       echo "<tr><td>$row[0]</td><td>$row[1]</td><td>" . getParameter($db,$prefix,$row[1],"name","course") . "</td><td>$row[2]</td></tr>\n";
   echo "</table>";
    
*/

/*
$q = "create table IF NOT EXISTS ". $prefix . "reservation (id bigint not null auto_increment primary key, quota varchar(30), percentage int);";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "reservation table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "reservation table created! <br />";

$res = $db->query("select * from " . $prefix . "reservation;");
if($res->num_rows == 0) {
    $req = array('General',50, 'BT', 1, 'BCM', 2, 'EBC',2, 'MBC', 18, 'OBC', 11, 'SC',16, 'F',4, 'E',3, 'P', 4, 'S',1);
    for($i=0,$n=count($req);$i<$n; $i+=2) {
        $db->query("insert into " . $prefix . "reservation values(0,'$req[$i]'," . $req[$i+1] . ");");
        }
    }

$res = $db->query("select * from " . $prefix . "offer;");
if($res->num_rows == 0)
    $db->query("drop table " . $prefix . "offer;");

$q = "create table IF NOT EXISTS ". $prefix . "offer (id bigint not null auto_increment primary key, student_id bigint, institute_id bigint, course_id bigint, dt date, category varchar(30), special_category varchar(30), date_of_joining date, time_of_reporting time);";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "offer table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "offer table created! <br />";

$res = $db->query("select * from " . $prefix . "offer_history;");
if($res->num_rows == 0)
    $db->query("drop table " . $prefix . "offer_history;");

$q = "create table IF NOT EXISTS ". $prefix . "offer_history (id bigint not null auto_increment primary key, student_id bigint, institute_id bigint, course_id bigint, dt date, category varchar(30), special_category varchar(30), date_of_joining date, time_of_reporting time);";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "offer_history table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "offer_history table created! <br />";


$q = "create table IF NOT EXISTS ". $prefix . "admission (id bigint not null auto_increment primary key, student_id bigint, institute_id bigint, course_id bigint, dt date, category varchar(30), special_category varchar(30));";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "admission table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "admission table created! <br />";
*/

/*
$q = "create table IF NOT EXISTS ". $prefix . "vacancy (id bigint not null auto_increment primary key, institute_id bigint, course_id bigint, vacant_general int, vacant_bcm int, vacant_bt int, vacant_ebc int, vacant_mbc int, vacant_sc int, vacant_st int);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "vacancy table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "vacancy table created! <br />";

$q = "create table IF NOT EXISTS ". $prefix . "filledup (id bigint not null auto_increment primary key, institute_id bigint, course_id bigint, vacant_general int, vacant_bcm int, vacant_bt int, vacant_ebc int, vacant_mbc int, vacant_sc int, vacant_st int);";

if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "filledup table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "filledup table created! <br />";
*/

$q = "create table IF NOT EXISTS ". $prefix . "login (id bigint not null auto_increment primary key, institute_id bigint, login_name varchar(100), password varchar(50), mobile varchar(20), email varchar(100), address varchar(500));";
if($db->query($q) != true) {
	echo "<h1>Error in creating " . $prefix . "login table</h1> <br />";
	return;
	}
else if($debugging == true) echo $prefix . "login table created! <br />";


$res = $db->query("select * from " . $prefix . "login;");
if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "login values(0,0,'admin', 'adt345***','9894214787','adt.pon@nic.in','Labour Dept. Complex,\nVazhudhavur road,\nGandhi Nagar,\nPuducherry-605009.');");
    }

/*
$res = $db->query("select * from " . $prefix . "login where login_name='GU34000010';");
if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "login values(0,1,'GU34000010', 'Prlgitim1','9994684518','gitim.pon@nic.in','Mettupalayam\n Puducherry-605009.');");
    $db->query("insert into " . $prefix . "login values(0,2,'GU34000001', 'Prlgiti321','9443632078','gitim.kk@nic.in','T.R.Pattinam\n Karaikal-609606.');");
    $db->query("insert into " . $prefix . "login values(0,3,'GU34000011', 'Prlgiti21','9894214787','gitiw.pon@nic.in','Vambakeerapalayam\n Puducherry-605001.');");
    $db->query("insert into " . $prefix . "login values(0,4,'GU34000002', 'Prlgiti11','9443632078','gitiw.kkl@nic.in','T.R.Pattinam\n Karaikal-605009.');");
    $db->query("insert into " . $prefix . "login values(0,5,'GR34000012', 'Prlgitin1','9443632078','gitin.pon@nic.in','Nettapakkam\n Puducherry-605106.');");
    $db->query("insert into " . $prefix . "login values(0,6,'GR34000015', 'Prlgitiv221','9443632078','gitiv.pon@nic.in','Villianur\n Puducherry-605110.');");
    $db->query("insert into " . $prefix . "login values(0,7,'GR34000016', 'Prlgitib21','9443632078','rggiti.mahe@nic.in','East Pallur\n Mahe.');");
    $db->query("insert into " . $prefix . "login values(0,8,'GR34000003', 'Prlgitim212','9443632078','rggiti.mahe@nic.in','East Pallur\n Mahe.');");
    $db->query("insert into " . $prefix . "login values(0,9,'GR34000013', 'Prlgitiy213','9443632078','nscbiti.yanam@nic.in','Yanam.');");
    }
*/
$res = $db->query("select * from " . $prefix . "login where login_name='editor';");
if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "login values(0,0,'editor', 'OnlnAppEdt3#','92442183783','gitiw.pon@nic.in','1, NSC Bose Road,\n Vambakeerapalayam,\n Puducherry-605001.');");
    }

function sms($n, $m, $smsKey, $smsURL) {
	$ch = curl_init();

	curl_setopt_array($ch, array(
		CURLOPT_URL => $smsURL . "?authkey=" . $smsKey . "&mobiles=91" . $n . "&message=" . urlencode($m) . "&sender=MINIST&route=4",
		CURLOPT_RETURNTRANSFER => true,
		));
	
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

	$res = curl_exec($ch);

	if(curl_errno($ch))
		echo "Error: " . curl_error($ch);
	curl_close($ch);
	}

function getParameter($db, $prefix, $id, $par, $tab) {
    $q = "select $par from " . $prefix . "$tab where id=$id;";
    $res = $db->query($q);
    $row = $res->fetch_array(MYSQLI_BOTH);
    return $row[0];
}

function getSpecifiedParameter($db, $prefix, $id, $par, $par1, $tab) {
    $q = "select $par from " . $prefix . "$tab where $par1='$id';";
    $res = $db->query($q);
    $row = $res->fetch_array(MYSQLI_BOTH);
    return $row[0];
}

?>