<?php
echo "<head>\n";
echo "<title>Online Application for Admission to ITI</title>\n";

echo "<script type='text/javascript' language='javascript'>";
echo "function verify() {\n";
echo "if(this.loginFrm.pass1.value.length < 6) {alert('Password should be at least 6 characters in length'); return false;\n}";
echo "if(this.loginFrm.pass1.value !== this.loginFrm.pass2.value) {alert('Mismatch between password and confirmation'); return false;\n}";
echo "if(this.loginFrm.pass1.value === this.loginFrm.pass2.value.toLowerCase() || this.loginFrm.pass1.value === this.loginFrm.pass2.value.toUpperCase() ) {alert('There should be at least one upper case letter and one lowercase letter'); return false;\n}";
echo "return true;";
echo "}\n";

echo "</script>";
echo "</head>\n";

require_once('db.php');

unset($_SESSION['id']);

$_SESSION['nm'] =  strtoupper($_POST['nm']);
$_SESSION['father'] = strtoupper($_POST['father']);
$_SESSION['mother'] = strtoupper($_POST['mother']);
$_SESSION['guardian'] = strtoupper($_POST['guardian']);
$_SESSION['dob'] = $_POST['dob'];

$tmp = $_POST['gender'];
$_SESSION['gender'] = '';

if($tmp == 'Female')
    $_SESSION['gender'] = 'F';
else if($tmp == 'Male')
    $_SESSION['gender'] = 'M';
else if($tmp == 'Transgender')
    $_SESSION['gender'] = 'T';

$_SESSION['aadhaar'] = $aadhaar = $_POST['aadhaar'];

$tmp = $_POST['resident'];
$_SESSION['resident'] = '';

if($tmp == 'Resident of Puducherry')
    $_SESSION['resident'] = 'R';
else
    $_SESSION['resident'] = 'N';

$_SESSION['religion'] = $_POST['religion'];
$_SESSION['community'] = $_POST['community'];

$tmp = $_POST['special'];

$_SESSION['special'] = '';

if($tmp == 'Freedom Fighter (FF)')
    $_SESSION['special'] = 'F';
else if($tmp == 'Person With Disability (PWD)')
    $_SESSION['special'] = 'P';
else if($tmp == 'Ex-service Man (ESM)')
    $_SESSION['special'] = 'E';
else if($tmp == 'Meritorious Sports Person (MSP)')
    $_SESSION['special'] = 'S';
else if($tmp == "None")
    $_SESSION['special'] = 'N';

$_SESSION['address1'] = strtoupper($_POST['address1']);
$_SESSION['address2'] = strtoupper($_POST['address2']);
$_SESSION['address3'] = strtoupper($_POST['address3']);
$_SESSION['address4'] = strtoupper($_POST['address4']);
$_SESSION['district'] = strtoupper($_POST['district']);
$_SESSION['mobile'] = $mob = $_POST['mobile'];
$email = $_SESSION['email']  = $_POST['email'];

$_SESSION['photo'] = $_FILES['photo'];

$_SESSION['marksheet'] = $_FILES['marksheet'];

$_SESSION['residence'] = $_FILES['residence'];
$_SESSION['communityproof'] = $_FILES['communityproof'];
$_SESSION['specialproof'] = $_FILES['specialproof'];


$tmp = $_POST['qualification'];
$_SESSION['qualification'] = '';
 
if($tmp == '8th standard')
    $_SESSION['qualification'] = '8';
else if($tmp == "10th (CBSE)/ 10th (State Board)/ SSLC / Matriculation")
    $_SESSION['qualification'] = '10';
else 
    $_SESSION['qualification'] = '';

if($_SESSION['qualification'] == '10') {
    $_SESSION['mark'] = $_POST['mark'];
    $_SESSION['maxmark'] = $_POST['maxmark'];
    }
if($_SESSION['qualification'] == '8' && ($_POST['mark']=='' || !isset($_POST['mark']))) {
    $_SESSION['mark'] = 0;
    $_SESSION['maxmark'] = 1;
    }

$pass = $_POST['pass1'];

$firstRegion = $_POST['frstlst'];
$secondRegion = '';//$_POST['scndlst'];
$thirdRegion = '';//$_POST['thrdlst'];
$fourthRegion = '';//$_POST['frthlst'];


require_once('header.php');


$q = "select name from " . $prefix . "applicant where aadhaar = '$aadhaar' and district='$firstRegion';";
$res = $db->query($q);
if($res->num_rows >= 1) {
    echo "<center><h1 style='color:red;text-align:center'>Your Aadhaar ($aadhaar) has already been registered. Try to get your password through forgot password link.</h1>";
    echo "<a style='text-align:center' href='index.php'>Go to home page</a></center>";
    exit(1);
    }

$q = "select name from " . $prefix . "applicant where mobile = '$mob' and district='$firstRegion';";
$res = $db->query($q);
if($res->num_rows >= 1) {
    echo "<center><h1 style='color:red;text-align:center'>Your mobile number ($mob) has already been registered. One mobile number can be registered only once.</h1>";
    echo "<a style='text-align:center' href='index.php'>Go to home page</a></center>";
    exit(1);
    }

$q = "select name from " . $prefix . "applicant where email = '$email' and district='$firstRegion';";
$res = $db->query($q);
if($res->num_rows >= 1) {
    echo "<center><h1 style='color:red;text-align:center'>Your Email ($email) has already been registered. One email ID can be registered only once.</h1>";
    echo "<a style='text-align:center' href='index.php'>Go to home page</a></center>";
    exit(1);
    }


$_SESSION['otpiti'] = rand(100000,999999);
//mail($_SESSION['email'],'OTP for ITI Applicant Registration', wordwrap($_SESSION['otpiti'] . " is the OTP for online applicant registration for admission to ITIs."), $mailFrom);
//sms($mob, $_SESSION['otpiti'] . " is the OTP for online applicant registration for admission to ITIs.", $smsKey, $smsURL);

$m = "XXXXXXXX" . ($mob%100);
$mail = $_SESSION['email'];

$dir = "uploads/";
mkdir($dir);

$photo = $dir . $_SESSION['aadhaar'] . "-" . $_SESSION['mobile'] . "-photo.jpg";

$tmp = basename($_SESSION['marksheet']['name']);
$tmp = substr(strrchr($tmp, '.'), 1);
$marksheet = $dir . $_SESSION['aadhaar'] . "-" . $_SESSION['mobile'] . "-mark.$tmp";

$tmp = basename($_SESSION['residence']['name']);
$tmp = substr(strrchr($tmp, '.'), 1);
$residence = $dir . $_SESSION['aadhaar'] . "-" . $_SESSION['mobile'] . "-residence.$tmp";

$tmp = basename($_SESSION['communityproof']['name']);
$tmp = substr(strrchr($tmp, '.'), 1);
$communityproof = $dir . $_SESSION['aadhaar'] . "-" . $_SESSION['mobile'] . "-community.$tmp";

$tmp = basename($_SESSION['specialproof']['name']);
$tmp = substr(strrchr($tmp, '.'), 1);
$specialproof = $dir . $_SESSION['aadhaar'] . "-" . $_SESSION['mobile'] . "-horizontal.$tmp";

/*This is outdated format for proofs
$marksheet = $dir . $_SESSION['aadhaar'] . "-" . basename($_FILES['marksheet']['name']);
$residence = $dir . $_SESSION['aadhaar'] . "-" . basename($_FILES['residence']['name']);
$communityproof = $dir . $_SESSION['aadhaar'] . "-" . basename($_FILES['communityproof']['name']);
$specialproof = $dir . $_SESSION['aadhaar'] . "-" . basename($_FILES['specialproof']['name']);
*/

if(!move_uploaded_file($_FILES["photo"]["tmp_name"], $photo)) 
    echo "Error in uploading photo";

move_uploaded_file($_FILES["marksheet"]["tmp_name"], $marksheet);

move_uploaded_file($_FILES["residence"]["tmp_name"], $residence);
move_uploaded_file($_FILES["communityproof"]["tmp_name"], $communityproof);
move_uploaded_file($_FILES["specialproof"]["tmp_name"], $specialproof);


//$photo = $dir . $_SESSION['aadhaar'] . "-photo.jpg";

/*
$residence = $dir . $_SESSION['aadhaar'] . "-" . basename($_SESSION['residence']['name']);
$communityproof = $dir . $_SESSION['aadhaar'] . "-" . basename($_SESSION['communityproof']['name']);
$specialproof = $dir . $_SESSION['aadhaar'] . "-" . basename($_SESSION['specialproof']['name']);
*/

$q = "insert into " . $prefix . "applicant values(0, '" . $_SESSION['nm'] . "', '" . 
        $_SESSION['father'] . "', '" . $_SESSION['mother'] . "', '" . $_SESSION['guardian'] . "', '" .
        $_SESSION['dob'] . "', '" . $_SESSION['gender'] . "', '" . $_SESSION['aadhaar'] . "', '" . 
        $_SESSION['resident'] . "', '" . $_SESSION['religion'] . "', '" . $_SESSION['community'] . "', '" .
        $_SESSION['special'] . "', '" . $_SESSION['address1'] . "', '" . 
        $_SESSION['address2'] . "', '" . $_SESSION['address3'] . "', '" .
        $_SESSION['address4'] . "', '" . 
        $_SESSION['district'] . "', '" . 
        $_SESSION['mobile'] . "', '" .
        $_SESSION['email'] . "', '" . $_SESSION['qualification'] . "', '" .
        $_SESSION['mark'] . "', '" . $_SESSION['maxmark'] . "', '" . $pass . "', '" .
        $firstRegion . "', '" . $secondRegion . "', '" . $thirdRegion . "', '" . $fourthRegion . "', '" .
        $photo . "','" . $marksheet . "','" . $residence . "','" . $communityproof . "','" . $specialproof . "');";

queryBackup($q, $dir);

if( $db->query($q) == true) {
    mail($_SESSION['email'], "Confirmation of registration for ITI admission in $firstRegion district/ region", "Dear " . $_SESSION['nm'] . ",\nYour application for ITI admission has been successfuly registered.\n\nYour ID: " . str_pad($db->insert_id, 5, '0', STR_PAD_LEFT) . "\nYour password: " . $pass . "\nRegion applied for: $firstRegion\nUse the following URL to login: $serverURL\n\n- CENTAC ITI Admission portal.", $mailFrom);
//    mail($_SESSION['email'], "Confirmation of registration for ITI admission", "Dear " . $_SESSION['nm'] . ",\nYour application for ITI admission has been successfuly registered.\n\nYour ID: ",str_pad($db->insert_id, 5, '0', STR_PAD_LEFT) . "\nYour password: " . $pass . "\n- CENTAC ITI Admission portal.", $mailFrom);
//    sms($_SESSION['mobile'], "Dear " . $_SESSION['nm'] . ",\nYour application for ITI admission has been successfuly registered.\n\nYour ID: ",str_pad($db->insert_id, 5, '0', STR_PAD_LEFT) . "\nYour password: " . $_SESSION['pass'] . "\n- CENTAC ITI Admission portal.", $smsKey, $smsURL);

$pt = $db->insert_id . "\t" . $_SESSION['nm'] . "\t" . 
        $_SESSION['father'] . "\t" . $_SESSION['mother'] . "\t" . $_SESSION['guardian'] . "\t" .
        $_SESSION['dob'] . "\t" . $_SESSION['gender'] . "\t" . $_SESSION['aadhaar'] . "\t" . 
        $_SESSION['resident'] . "\t" . $_SESSION['religion'] . "\t" . $_SESSION['community'] . "\t" .
        $_SESSION['special'] . "\t" . $_SESSION['address1'] . "\t" . 
        $_SESSION['address2'] . "\t" . $_SESSION['address3'] . "\t" .
        $_SESSION['address4'] . "\t" . $_SESSION['district'] . "\t" . $_SESSION['mobile'] . "\t" .
        $_SESSION['email'] . "\t" . $_SESSION['qualification'] . "\t" .
        $_SESSION['mark'] . "\t" . $_SESSION['maxmark'] . "\t" . $pass . "\t" .
        $firstRegion . "\t" . $secondRegion . "\t" . $thirdRegion . "\t" . $fourthRegion . 
        "\t$serverURL" . $photo . 
        "\t$serverURL" . $marksheet . 
        "\t$serverURL" . $residence . 
        "\t$serverURL" . $communityproof . 
        "\t$serverURL" . $specialproof . "\r\n";

    dataBackup($pt,$dir);
    echo "<center><h1 style='text-align:center;color:red'>You have successfully applied for admission to $firstRegion vide ID No. ". str_pad($db->insert_id, 5, '0', STR_PAD_LEFT) . " </h1>";
    echo "<a href='printapplication.php?id=" . $db->insert_id . "'>Print application</a><br />\n";
    echo "<a href='index.php' style='text-align:center'>Go to login page</a></center>";
    echo "<script>window.open('printapplication.php?id=" . $db->insert_id . "');</script>";
    }

function queryBackup($q, $dir) {
    $fn = strtolower($dir . "/data.txt");
    $q = "\$db->query(\"$q\");\r\n";
    $fl = fopen($fn, "a");
    fwrite($fl, $q);
    fclose($fl);
    }

function dataBackup($q, $dir) {
    $fn = strtolower($dir . "/plaintext.txt");
    $fl = fopen($fn, "a");
    fwrite($fl, $q);
    fclose($fl);
    }
?>