<?php
require_once('db.php');

$id = $_SESSION['id'];
$iid = $_POST['instituteid'];
$regid = $_POST['regionid'];
$srt = $_POST['sortby'];
$iidn = ($iid==0?"All ITIs":getParameter($db,$prefix,$iid,'name','institute'));

date_default_timezone_set("Asia/Kolkata");

echo "<head><title>List of Applicants for $regid, ordered by $srt</title>\n";
echo "</head>\n<body>";

require_once("header.php");
require_once("admincheck.php");

echo "<h1 style='text-align:center;color:blue'>List of Applicants for $regid, ordered by $srt</h1>";

echo "<center>\n";

$htcontent = "<table border = 1>\n";
$htcontent .=  "<tr style='font-size:120%;font-weight:bold'><th>Sl. No.</th><th>Reg. No.</th>" . 
        "<th>Name</th><th>Father Name</th><th>Mother Name</th><th>Guardian Name</th><th>DoB</th><th>Gender</th><th>Aadhaar</th><th>Residential Status</th><th>Religion</th><th>Community</th><th>Horizontal Reservation</th><th>Address1</th><th>Address2</th><th>Address3</th><th>Address4</th><th>District</th><th>Mobile</th><th>Email</th><th>Qualification</th><th>Mark</th><th>Maximum Mark</th><th>Percentage</th><th>Region chosen</th><th>Photo</th><th>Mark file</th><th>Residence file</th><th>Community file</th><th>Horizontal quota file</th></tr>\n";

$order = " order by qualification, id";
if($srt == "Mark")
    $order = " order by qualification, mark/maxmark DESC, dob DESC";
else if($srt == "Community")
    $order = " order by qualification DESC, community, mark/maxmark DESC, dob DESC";
else if($srt == "Gender")
    $order = " order by qualification DESC, gender, mark/maxmark DESC, dob DESC";
else if($srt == "Gender-Community")
    $order = " order by qualification DESC, gender, community, mark/maxmark DESC, dob DESC";

$q = "select * from " . $prefix . "applicant where first_choice_region like '%" . ($regid=="All Regions"?"":$regid) . "%' $order;";


$res = $db->query($q);
$n = $res->num_rows;

echo "<input type='hidden' id='offerstr' name='offerstr' value=''>\n";
echo "<input type='hidden' id='instituteid' name='instituteid' value='$iid'>\n";
$cnt=1;

$txt = "Sl. No.\tReg. No.\t" . 
        "Name\tFather Name\tMother Name\tGuardian Name\tDoB\tGender\tAadhaar\tResidential Status\tReligion\tCommunity\tHorizontal Reservation\tAddress1\tAddress2\tAddress3\tAddress4\tDistrict\tMobile\tEmail\tQualification\tMark\tMaximum Mark\tPercentage\tRegion Chosen\tPhoto\tMark file\tResidence file\tCommunity file\tHorizontal quota file\n";

while($row = $res->fetch_array(MYSQLI_BOTH)) {
    $htcontent .= "<tr style='font-weight:bold' ><td>$cnt</td>" . listStudent($db, $prefix, $row, $serverURL) . "</tr>\n";
    $txt .= $cnt . "\t" . getPlainText($row, $serverURL) . "\n";
    $cnt++;
    }

$htcontent .= "</table>\n";

mkdir("tmp");
$fn = "tmp/" . $regid . "-" . $srt . "-applicant.txt";
writeMyBackupFile($fn,$txt);
?>

<a href="<?php echo $fn ?>" target="_blank">Download text file</a><br /><br />

<?php

echo "<input type='hidden' id='cnt' name='cnt' value='" . ($cnt-1) . "'>\n";
echo "<a href='adminhome.php'><input type='button' name='hm' value='Admin Home'></a><br />\n";
echo $htcontent;
echo "<br /><input type='button' name='prn' value='Print' onClick=\"this.setAttribute('hidden',true);document.tmpFrm.hm.setAttribute('hidden',true);window.print();\"></a><br />\n";

//echo "<form name='dataFrm' action='downloadbackup.php' method='POST'>\n";
echo "</center>\n";

function listStudent($db, $pref, $row, $serverURL) {
    $r = "<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td><td>$row[4]</td><td>$row[5]</td><td>$row[6]</td><td>$row[7]</td><td>$row[8]</td><td>$row[9]</td><td>$row[10]</td><td>" . expandSpecial($row[11]) . "</td><td>$row[12]</td><td>$row[13]</td><td>$row[14]</td><td>$row[15]</td><td>$row[16]</td><td>$row[17]</td><td>$row[18]</td><td>$row[19]</td>" . "</td><td>" . $row[20] . "</td><td>" . $row[21] . "</td><td>" . ($row[21]!=0?$row[20]/$row[21]*100:0) . "</td><td>" . $row[23] . "</td><td><img height='40' src='$serverURL" . "$row[27]'></td><td><object height='40' data='$serverURL" . "$row[28]'>Mark file</a></td><td><object height='40' data='$serverURL" . "$row[29]'>Residence file</a></td><td><object height='40' data='$serverURL" . "$row[30]'>Community file</a></td><td><object height='40' data='$serverURL" . "$row[31]'>Horizontal reservation file</a></td>";
    return $r;
    }

function getPlainText($row, $serverURL) {
    $ret = "$row[0]\t$row[1]\t$row[2]\t$row[3]\t$row[4]\t$row[5]\t$row[6]\t$row[7]\t$row[8]\t$row[9]\t$row[10]\t" . expandSpecial($row[11]) . "\t$row[12]\t$row[13]\t$row[14]\t$row[15]\t$row[16]\t$row[17]\t$row[18]\t$row[19]" . "\t" . $row[20] . "\t" . $row[21] . "\t" . ($row[21]!=0?$row[20]/$row[21]*100:0) . "\t" . $row[23] . "\t$serverURL" . "$row[27]\t$serverURL" . "$row[28]\t$serverURL" . "$row[29]\t$serverURL" . "$row[30]\t$serverURL" . "$row[31]";
    return $ret;
    }

function expandSpecial($x) {
    if($x=='E')
        return "Ex-Service Person";
    else if($x=='S')
        return "Sports Person";
    else if($x=='P')
        return "Person with Disability";
    else if($x=='F')
        return "Freedom Fighter";
    return "";
    }

function getCourses($db, $prefix, $id, $iid) {
    $ret = "";
    $q = "select course_id from " . $prefix . "choice where student_id=$id and institute_id=$iid order by priority;";
    $res = $db->query($q);
    $cnt = 1;
    
    while($row = $res->fetch_array(MYSQLI_BOTH)) {
//        if(getParameter($db,$prefix,$row[0],'qualification', 'course') == 10) {
            $ret .= "<td style='font-size:80%'>" . getParameter($db,$prefix,$row[0],'name', 'course') . "</td>";
            $cnt++;
//            }
        if($cnt==6)
            break;
        }
    for($i=$cnt;$i<6;$i++)
        $ret .= "<td></td>";
        
    return $ret;
    }

function getCourseBox($db, $prefix, $id, $iid) {
    $ret = "<select name='cid$id' id='cid$id' style='font-weight:bold;color:red'>\n";
    $q = "select course_id from " . $prefix . "choice where student_id=$id and institute_id=$iid order by priority;";
    
    $ret .=  "<option value='0'>None</option>\n";

    $res = $db->query($q);
    $cnt = 1;
    while($row = $res->fetch_array(MYSQLI_BOTH)) {
        if(getParameter($db,$prefix,$row[0],'qualification', 'course') == 10) {
            $ret .= "<option value='$row[0]'>" . getParameter($db,$prefix,$row[0],'name', 'course') . "</option>\n";
            $cnt++;
            }
        }
    $ret .= "</select>\n";

    return $ret;
    }

function hasApplied($db, $prefix, $id, $iid) {
    $q = "select id from " . $prefix . "choice where student_id=$id and institute_id=$iid;";
    $res = $db->query($q);
    return $res->num_rows > 0;
    }


function downloadplaintext($fn, $d) {
writeMyBackupFile($fn,$d);
if (file_exists($fn)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename=' . basename($fn));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
    header('Pragma: public');
    header('Content-Length: ' . filesize($fn));
    echo readfile($fn);
    ob_clean();
    flush();
    }
}
function writeMyBackupFile($fn, $data) {
    $fl = fopen($fn, "w");
    fwrite($fl, $data);
    fclose($fl);
    }

?>