<?php
require_once('../db.php');
require_once('header.php');
?>

<head>
    <script src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js'></script>
    <script>
        function getDetails() {
            var id = document.detailsFrm.idlst.value;
            $.post("getDetails2.php",
                {
                'id': id
                },
            function(data, status, hdr) {
                document.getElementById("detailsSpan").innerHTML = data;
                });
            }

        function admitTrainee() {
            var id = document.detailsFrm.idlst.value,
                itiid = document.detailsFrm.itiid.value,
                com = document.detailsFrm.community.value,
                hr = document.detailsFrm.horizontal.value,
                c = document.detailsFrm.course.value,
                disabilityType = document.detailsFrm.disabilityType.value,
                unit = document.detailsFrm.unit.value,
                shift = document.detailsFrm.shift.value,
                dual = document.detailsFrm.dual.value,
                traineeType = document.detailsFrm.type.value,
                council = document.detailsFrm.council.value,
                doadm = document.detailsFrm.doadm.value;
            $.post("admittrainee.php",
                {
                'id': id,
                'itiid': itiid,
                'course': c,
                'community': com,
                'horizontal': hr,
                'distype': disabilityType,
                'unit': unit,
                'shift': shift,
                'dual': dual,
                'traineeType': traineeType,
                'council': council,
                'doadm': doadm
                },
            function(data, status, hdr) {
                document.getElementById("resultSpan").innerHTML = data;
                });
            window.location.reload();
            }
    </script>
    
</head>

<?php
$q = "create table IF NOT EXISTS " . $prefix . "admission (id bigint auto_increment primary key, student_id bigint, institute varchar(100), quota varchar(20),horizontal varchar(20),trade varchar(100),disability_type varchar(40),shift int, unit int,dual_mode varchar(10),type varchar(25), council varchar(10), date_of_admission date);";
if($db->query($q) == false) {
    echo "Error in creating admission table";
    }
$q = "create table IF NOT EXISTS " . $prefix . "adm (id bigint auto_increment primary key, login_id varchar(100), pass varchar(100), iti_name varchar(100));";
if($db->query($q) == false) {
    echo "Error in creating adm table";
    }
$q = "select * from " . $prefix . "adm;";
$res = $db->query($q);
if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "adm values(0,'GITIM, Pdy','34000002*','Govt. ITI for Men, Mettupalayam, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIM, Kkl','34000001*','Govt. ITI for Men, T.R.Pattinam, Karaikal');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIW, Pdy','34000003*','Govt. ITI for Women, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIW, Kkl','34000004*','Govt. ITI for Women, T.R.Pattinam, Karaikal');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIN, Npm','34000005*','Govt. ITI, Nettapakkam, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIV, Pdy','34000006*','Govt. ITI, Villianur, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIB, Pdy','34000007*','Govt. ITI, Bahour, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'RGGITI, Mahe','34000008*','Rajiv Gandhi Govt. ITI, Mahe');");
    $db->query("insert into " . $prefix . "adm values(0,'NSCBITI, Yanam','34000009*','NSC Bose Govt. ITI, Yanam');");
}


if(!isset($_SESSION['itiadmin'])) {
    require_once("admin.php");
    exit();
    }

echo "<h1 style='text-align:center;color:red'>Admission of Trainees to ITIs: 2023</h1>";
echo "<h2 style='text-align:center;color:blue'>" . $_SESSION['itiname'] . "</h2>";
echo "<form name='detailsFrm' action='#' method='POST'>\n<center>\n";
echo "CENTAC Reg. No.: " . createIdList($db, $prefix);
echo "<br /><span id='detailsSpan'></span>";
echo "<br /><span id='resultSpan'></span>";
echo "</center></form>";
echo "\n\n<script>getDetails();</script>";

function createIdList($db, $prefix) {
    $q = "select id from " . $prefix . "applicant order by id;";
    $res = $db->query($q);
    $cb = "<select name='idlst' id='idlst' onChange='getDetails()'>\n";
    while($row = $res->fetch_array(MYSQLI_BOTH)) {
        if(notAlreadyAdmitted($db, $prefix, $row[0]))
            $cb .= "<option>" . $row[0] . "</option>\n";
        }
    $cb .= "</select>\n";
    return $cb;
    }

function notAlreadyAdmitted($db, $prefix, $id) {
    $q = "select id from " . $prefix . "admission where student_id=$id;";
    $res = $db->query($q);
    return $res->num_rows == 0;
    }
?>

