<?php
require_once('../db.php');
require_once('header.php');

$iid = $_POST['itiid'];

echo prepareStatus($db,$prefix,$iid);


function prepareStatus($db,$prefix,$iid) {
    $gent = getCount($db,$prefix,$iid,"Gen.");

    $bcmt = getCount($db,$prefix,$iid,"B.C.M.");
    $btt = getCount($db,$prefix,$iid,"B.T.");
    $ebct = getCount($db,$prefix,$iid,"E.B.C.");
    $mbct = getCount($db,$prefix,$iid,"M.B.C.");
    $obct = getCount($db,$prefix,$iid,"O.B.C.");
    $sct = getCount($db,$prefix,$iid,"S.C.");
    $tt = getTotal($db,$prefix,$iid);
    
    $res = "<h1>Admission status of $iid</h1><table border=1><tr><th>Sl. No.</th><th>Course</th><th>General</th><th>BCM</th><th>BT</th><th>EBC</th><th>MBC</th><th>OBC</th><th>SC</th><th>Total</th></tr>\n";
    $trade = getAdmittedCourses($db,$prefix,$iid);
    for($i=0,$n=count($trade);$i<$n;$i++)
        $res .= "<tr><td>" . ($i+1) . "</td><td>$trade[$i]</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'Gen.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'B.C.M.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'B.T.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'E.B.C.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'M.B.C.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'O.B.C.', $trade[$i]) . "</td><td style='text-align:center'>" . getCountCourse($db,$prefix,$iid,'S.C.', $trade[$i]) . "</td><td  style='text-align:center;font-weight:bold'>" . getCourseTotal($db,$prefix,$iid,$trade[$i]) . "</td></tr>\n";
    $res .= "<tr style='font-weight:bold;text-align:center'><td colspan=2>Total</td><td>$gent</td><td>$bcmt</td><td>$btt</td><td>$ebct</td><td>$mbct</td><td>$obct</td><td>$sct</td><td>$tt</td></tr>\n";
    $res .= "</table>";
    $res .= "<div align='center'>\n";
    $res .= "Ex-Service Persons: " . getHorizontalCount($db,$prefix,$iid,"Ex. Serv.") . "<br />";
    $res .= "Wards of Freedom Fighters: " . getHorizontalCount($db,$prefix,$iid,"F.F.") . "<br />";
    $res .= "Disabled Person: " . getHorizontalCount($db,$prefix,$iid,"P.H.") . "<br />";
    $res .= "Meritorious Sports Person: " . getHorizontalCount($db,$prefix,$iid,"M.S.P.") . "<br />";
    $res .= "</div>";
    return $res;
    }

function getCount($db,$prefix,$iid, $com) {
    $q = "select student_id from " . $prefix . "admission where institute='$iid' and quota='$com';";
    $res = $db->query($q);
    return $res->num_rows;
    }

function getHorizontalCount($db,$prefix,$iid, $h) {
    $q = "select student_id from " . $prefix . "admission  where institute='$iid' and horizontal='$h';";
    $res = $db->query($q);
    return $res->num_rows;
    }

function getTotal($db,$prefix,$iid) {
    $q = "select student_id from " . $prefix . "admission  where institute='$iid';";
    $res = $db->query($q);
    return $res->num_rows;
    }

function getCountCourse($db,$prefix,$iid, $com, $course) {
    $q = "select student_id from " . $prefix . "admission  where institute='$iid' and quota='$com' and trade='$course';";
    $res = $db->query($q);
    return $res->num_rows;
    }

function getCourseTotal($db,$prefix,$iid,$course) {
    $q = "select student_id from " . $prefix . "admission  where institute='$iid' and trade='$course';";
    $res = $db->query($q);
    return $res->num_rows;
    }

function getAdmittedCourses($db,$prefix,$iid) {
    $course = array();
    $q = "select trade from " . $prefix . "admission  where institute='$iid' group by trade order by trade;";
    $res = $db->query($q);
    $i=0;
    while($row = $res->fetch_array(MYSQLI_BOTH))
        $course[$i++] = $row[0];
    return $course;
    }
?>