<?php
require_once('../db.php');
require_once('header.php');
?>

<head>
    <script src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js'></script>
    <script>
        function getStatus() {
            var itiid = document.detailsFrm.itiid.value;

            $.post("getoverallstatus.php",
                {
                'itiid': itiid
                },
            function(data, status, hdr) {
                document.getElementById("resultSpan").innerHTML = data;
                });
            }
    </script>
    
</head>

<?php
$q = "create table IF NOT EXISTS " . $prefix . "admission (id bigint auto_increment primary key, student_id bigint, institute varchar(100), quota varchar(20),horizontal varchar(20),trade varchar(100),disability_type varchar(40),shift int, unit int,dual_mode varchar(10),type varchar(25), council varchar(10), date_of_admission date);";
if($db->query($q) == false) {
    echo "Error in creating admission table";
    }
$q = "create table IF NOT EXISTS " . $prefix . "adm (id bigint auto_increment primary key, login_id varchar(100), pass varchar(100), iti_name varchar(100));";
if($db->query($q) == false) {
    echo "Error in creating adm table";
    }
$q = "select * from " . $prefix . "adm;";
$res = $db->query($q);
if($res->num_rows == 0) {
    $db->query("insert into " . $prefix . "adm values(0,'GITIM, Pdy','34000002*','Govt. ITI for Men, Mettupalayam, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIM, Kkl','34000001*','Govt. ITI for Men, T.R.Pattinam, Karaikal');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIW, Pdy','34000003*','Govt. ITI for Women, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIW, Kkl','34000004*','Govt. ITI for Women, T.R.Pattinam, Karaikal');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIN, Npm','34000005*','Govt. ITI, Nettapakkam, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIV, Pdy','34000006*','Govt. ITI, Villianur, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'GITIB, Pdy','34000007*','Govt. ITI, Bahour, Puducherry');");
    $db->query("insert into " . $prefix . "adm values(0,'RGGITI, Mahe','34000008*','Rajiv Gandhi Govt. ITI, Mahe');");
    $db->query("insert into " . $prefix . "adm values(0,'NSCBITI, Yanam','34000009*','NSC Bose Govt. ITI, Yanam');");
}


if(!isset($_SESSION['itiadmin'])) {
    require_once("admin5.php");
    exit();
    }

echo "<h1 style='text-align:center;color:red'>Admission of Trainees to ITIs: 2023</h1>";
echo "<h2 style='text-align:center;color:blue'>" . $_SESSION['itiname'] . "</h2>";
echo "<form name='detailsFrm' action='#' method='POST'>\n<center>\n";
echo "<table><tr><td>Name of ITI</td><td>:</td><td>";
echo getITIList($db,$prefix);
echo "</td></td></tr></table>\n";
echo "<input type='button' value='Get Status' onClick='getStatus();'>";
echo "<br /><span id='resultSpan'></span>";
echo "</center></form>";


function getITIList($db, $prefix) {
    $q = "select id,login_id from " . $prefix . "adm order by id;";
    $res = $db->query($q);
    $box = "<select name='itiid'>\n";
    while($row=$res->fetch_array(MYSQLI_BOTH)) {
        $box .= "<option>$row[1]</option>";
        }
    $box .= "</select>\n";
    return $box;
    }
?>

